import type { Freelancer } from "~/models/freelancer";



export const freelancers_list : Partial<Freelancer>[] = [
    {
      "id": "freelancer-001",
      "naturalName": "John Doe",
      "logo": "/images/faces/01.jpg",
      "title": "Full Stack Developer",
      "rating": 4.8,
      "reviewsCount": 120,
      "bio": "Experienced web developer with expertise in modern web technologies. Passionate about creating scalable and user-friendly applications.",
      "languages": ["English", "Arabic"],
      "skills": ["JavaScript", "Node.js", "React", "UI/UX"],
      "portfolio": [
        {
          "id": "portfolio-001",
          "title": "E-commerce Website",
          "description": "Built a fully functional e-commerce website with payment integration.",
          "projectUrl": "https://example.com/ecommerce",
          "imageUrl": "https://infostride.com/wp-content/uploads/2024/01/How-Much-Does-eCommerce-Website-Development-Cost-1200x717.png"
        }
      ],
      "hourlyRate": 50,
      "contactEmail": "john.doe@example.com",
      "socialLinks": {
        "linkedin": "https://linkedin.com/in/john-doe",
        "github": "https://github.com/johndoe"
      },
      "category": 1
    },
    {
      "id": "freelancer-002",
      "naturalName": "Sarah Lee",
      "logo": "https://example.com/images/sarah-lee.jpg",
      "title": "Graphic Designer",
      "rating": 4.9,
      "reviewsCount": 85,
      "bio": "Creative graphic designer with 8 years of experience specializing in branding and illustration.",
      "languages": ["English"],
      "skills": ["Illustrator", "Photoshop", "Branding", "Typography"],
      "portfolio": [
        {
          "id": "portfolio-002",
          "title": "Corporate Branding",
          "description": "Designed branding for a multinational corporation, including logo and visual identity.",
          "projectUrl": "https://example.com/branding",
          "imageUrl": "https://example.com/images/branding.jpg"
        }
      ],
      "hourlyRate": 65,
      "contactEmail": "sarah.lee@example.com",
      "socialLinks": {
        "linkedin": "https://linkedin.com/in/sarah-lee",
        "website": "https://dribbble.com/sarahlee"
      },
      "category": 2
    },
    {
      "id": "freelancer-003",
      "naturalName": "Mohammed Ali",
      "logo": "https://example.com/images/mohammed-ali.jpg",
      "title": "SEO Specialist",
      "rating": 4.7,
      "reviewsCount": 60,
      "bio": "SEO expert with a focus on optimizing websites to rank higher in search engines and driving organic traffic.",
      "languages": ["Arabic", "English"],
      "skills": ["SEO", "Content Marketing", "Google Analytics", "Keyword Research"],
      "portfolio": [
        {
          "id": "portfolio-003",
          "title": "Travel Blog SEO",
          "description": "Improved organic traffic by 200% for a travel blog in 6 months.",
          "projectUrl": "https://example.com/seo",
          "imageUrl": "https://example.com/images/seo.jpg"
        }
      ],
      "hourlyRate": 40,
      "contactEmail": "mohammed.ali@example.com",
      "socialLinks": {
        "linkedin": "https://linkedin.com/in/mohammed-ali"
      },
      "category": 2
    },
    {
      "id": "freelancer-004",
      "naturalName": "Emma Watson",
      "logo": "https://example.com/images/emma-watson.jpg",
      "title": "Mobile App Developer",
      "rating": 4.6,
      "reviewsCount": 95,
      "bio": "Mobile app developer with 5 years of experience creating Android and iOS applications.",
      "languages": ["English"],
      "skills": ["Flutter", "Swift", "Kotlin", "UI/UX"],
      "portfolio": [
        {
          "id": "portfolio-004",
          "title": "Fitness Tracker App",
          "description": "Developed a fitness tracking app with integrated health monitoring features.",
          "projectUrl": "https://example.com/fitness-app",
          "imageUrl": "https://example.com/images/fitness-app.jpg"
        }
      ],
      "hourlyRate": 70,
      "contactEmail": "emma.watson@example.com",
      "socialLinks": {
        "linkedin": "https://linkedin.com/in/emma-watson",
        "github": "https://github.com/emmawatson"
      },
      "category": 4
    },
    {
      "id": "freelancer-005",
      "naturalName": "Carlos Hernandez",
      "logo": "https://example.com/images/carlos-hernandez.jpg",
      "title": "Digital Marketing Expert",
      "rating": 4.5,
      "reviewsCount": 45,
      "bio": "Digital marketing strategist specializing in social media campaigns and PPC management.",
      "languages": ["Spanish", "English"],
      "skills": ["PPC", "Social Media Marketing", "Google Ads", "Facebook Ads"],
      "portfolio": [
        {
          "id": "portfolio-005",
          "title": "E-commerce Ad Campaigns",
          "description": "Managed successful ad campaigns for an e-commerce brand, increasing ROI by 150%.",
          "projectUrl": "https://example.com/ad-campaigns",
          "imageUrl": "https://example.com/images/ad-campaigns.jpg"
        }
      ],
      "hourlyRate": 55,
      "contactEmail": "carlos.hernandez@example.com",
      "socialLinks": {
        "linkedin": "https://linkedin.com/in/carlos-hernandez"
      },
      "category": 5
    }
  ]