export interface Freelancer {
    id: string; // Unique identifier for the freelancer
    naturalName: string; // Freelancer's preferred name (e.g., "John Doe")
    logo: string; // URL to the profile picture
    title: string; // Primary title or profession (e.g., "Web Developer & Designer")
    rating: number; // Freelancer's rating (e.g., 4.8 out of 5)
    reviewsCount: number; // Total number of reviews
    bio: string; // A short bio or description about the freelancer
    languages: string[]; // List of languages the freelancer is fluent in
    skills: string[]; // List of key skills or expertise (e.g., ["JavaScript", "UI/UX", "SEO"])
    portfolio: PortfolioItem[]; // List of portfolio items (defined in a separate interface)
    hourlyRate: number; // Hourly rate in USD or preferred currency
    contactEmail?: string; // Optional contact email
    category: number
    socialLinks?: {
      linkedin?: string;
      twitter?: string;
      github?: string;
      website?: string;
    };
  }
  
  export interface PortfolioItem {
    id: string; // Unique identifier for the portfolio item
    title: string; // Title of the portfolio project
    description: string; // Short description of the project
    projectUrl?: string; // Optional URL link to the project
    imageUrl?: string; // Optional image URL for the project
  }