// https://nuxt.com/docs/api/configuration/nuxt-config
export default defineNuxtConfig({
  devtools: { enabled: true },
  css: ['bulma/css/bulma.css'],
  modules: ['@pinia/nuxt'],
  components: {
    dirs: [
      { path: '~/components', pathPrefix: false }
    ]
  },
  hooks: {
    'pages:extend'(pages) {
      pages.push({
        name: 'custom',
        path: '/directory',
        file: '~/pages/directory.vue',
        alias: ['/freelancer-directory', '/freelancer-database'],
      });
    },
  },
  app: {
    head: {
      htmlAttrs: {
        'class': 'has-navbar-fixed-top',
        'data-theme': 'light'
      },
      link: [
        {
          rel: 'stylesheet',
          href: 'https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css'
        }
      ]
    }
  },
})